const express = require('express');
const router = express.Router();
const anime = require('./anime');
const imm = require('./image');

//Routing
//Pobieranie anime
router.get('/', anime.GetAnime);

//Pobieranie posortowanego warunkowo anime
router.post('/result/sort', anime.GetFilteringAnime)

//Pobieranie opisu
router.get('/description', anime.GetDescription);

//Dodawanie nowego anime do bazy danych
router.post('/anime/add', anime.AddAnimeToRecord);

//Edycja
router.get('/anime/get', anime.GetAnimeRecord);
router.put('/anime/edit', anime.EditAnimeRecord);

//Dodawanie grupy
router.post('/group', anime.AddGrouptoRecord);
router.put('/group', anime.EditGroupRecord);
router.get('/group', anime.GetGroupList);

//Kasowanie rekordów
router.delete('/delete', anime.DeleteRecords);

//Aktualizacja statusów oglądania
router.put('/anime/update', anime.UpdateState);

//Przesyłanie obrazu i czyszczenie rekordu obrazu
router.post('/image/add', imm.UploadImageFromFile);
router.delete('/image/delete', imm.DeleteImage);

module.exports = router;